#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'src/uri_utilities'

class OpenUriDownloader < Downloader

  def download(url, outfile, headers = {}, continue = false)
    if File.exists?(outfile)
      raise IOError.new("Output file already exists. Please remove #{outfile}, and try again.")
    end

    uri = URI.parse(url)
    
    uu = UriUtilities.new()
    puts "Fetching #{url}"
    puts "Saving as #{outfile}."
    puts ''
    uu.download_with_progress_bar(uri, outfile, headers)
  end
  
end
