#
# Copyright Michael Orlitzky
#
# http://michael.orlitzky.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# http://www.fsf.org/licensing/licenses/gpl.html
#

require 'test/unit'
require 'src/uri_utilities.rb'

class UriUtilitiesTest < Test::Unit::TestCase

  # Test that we get a 404 error for a nonexistent page.
  def test_404_on_nonexistent_page
    uu = UriUtilities.new()

    # *Hopefully* this connection is refused.
    example_uri = 'http://www.example.com/test-nonexistent-page.html'
    uri = URI.parse(example_uri)
    
    assert_raise OpenURI::HTTPError do
      uu.download_with_progress_bar(uri, 'dummy.tmp')
    end

    # This should be gone since there was an HTTP error.
    assert(!File.exists?('dummy.tmp'))
  end
  
end
